#!/usr/bin/lua

local sio = require "luxio.simple"
local mq = require "luxio.mq"

h = mq.open("/luxio-mq", "w", sio.tomode "0777")

print(h)

h:push { cat = "meow", dog = "woof", horse = "neigh", webmonkey = "AJAX!" }
h:push { die = true }

h:close()

